clang-tools 10.0.0

Classes | Namespaces | Typedefs | Functions
Generators.h File Reference
`#include "Representation.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/Registry.h"`
Include dependency graph for Generators.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::doc::Generator

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::doc

## Typedefs
typedef llvm::Registry< Generator > | clang::doc::GeneratorRegistry

## Functions
llvm::Expected< std::unique_ptr< Generator > > | clang::doc::findGeneratorByName (llvm::StringRef Format)
std::string | clang::doc::getAccess (AccessSpecifier AS)
std::string | clang::doc::getTagType (TagTypeKind AS)